local oops = require "src.utils.oops"

local Screen = require "src.screens.screen"

local DropTargetScreen = Screen:makeClass
{
    handlers = {}
}

DropTargetScreen.filetypeMapping =
{
}

function DropTargetScreen.handlers.filedropped(self, file)
    local filename = file:getFilename()
    local badFile = true

    for i, mapping in ipairs(self.filetypeMapping) do
        if filename:find(mapping.extension, -mapping.extension:len()) then
            mapping.handler(self, file)
            badFile = false
            break
        end
    end
    
    if badFile then
        self:badDrop(file)
    end

    self.dirty = true
end

function DropTargetScreen:init()
    Screen.init(self)
end

function DropTargetScreen:badDrop()
    
end

return DropTargetScreen
