--[[
See LICENSE for important information on distribution.
--]]

local cabin = require "src.utils.cabin"

local propertyfile = {}

function propertyfile.get(filepath)
    local returnCode, func, outTable
    
    func = love.filesystem.load(filepath .. "/properties.lua")
    
    if func then
        returnCode, outTable = pcall(func)
        
        if not returnCode then
            cabin.warning(tostring(outTable))
        end
    end
    
    return outTable
end

return propertyfile
